#include <bits/stdc++.h>
using namespace std;

int zamena (int *x, int *y)
{
    int temp;
    temp=*x;
    *x=*y;
    *y=temp;
}

int main ()
{
    int n;
    cin >> n;
    int c[n];
    bool zamenjen = false;
    for (int i=0; i<n; i++)
    {
        cin >> c[i];
    }
    for (int i=0; i<n-1; i++)
    {
        for (int j=n-1; j>i; j--)
        {
            if (c[j]>c[i])
            {
                zamena(&c[i],&c[j]);
                zamenjen =true;
                break;
            }
        }
        if (zamenjen == true) {break;}
    }

                if (zamenjen == false)
                {
                    for (int i=0; i<n-1; i++)
                    {
                        for (int j=n-1; j>i; j--)
                        {
                            if (c[j]==c[i])
                            {
                                zamena(&c[i],&c[j]);
                                zamenjen =true;
                                break;
                            }
                        }
                        if (zamenjen == true) {break;}
                    }
                }

    if (zamenjen == false)
    {
        zamena(&c[n-1], &c[n-2]);
    }

    for (int i=0; i<n; i++)
    {
        cout << c[i] << " ";
    }

    return 0;

}